# DOMDocumentTraversal.hpp File Reference

Go to the source code of this file.

## Classes

class | DOMDocumentTraversal
| `DOMDocumentTraversal` contains methods that create `DOMNodeIterators` and `DOMTreeWalkers` to traverse a node and its children in document order (depth first, pre-order traversal, which is equivalent to the order in which the start tags occur in the text representation of the document). More...

## Defines

#define | XERCESC_INCLUDE_GUARD_DOMDOCUMENTTRAVERSAL_HPP

## Define Documentation

#define XERCESC_INCLUDE_GUARD_DOMDOCUMENTTRAVERSAL_HPP